[@rxap/forms](../wiki/globals) / FormResetDirective

# Class: FormResetDirective

Defined in: [packages/angular/forms/src/lib/directives/form-reset.directive.ts:18](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-reset.directive.ts#L18)

## Extends

- `ConfirmClick`

## Constructors

### new FormResetDirective()

> **new FormResetDirective**(`formDirective`): [`FormResetDirective`](../wiki/Class.FormResetDirective)

Defined in: [packages/angular/forms/src/lib/directives/form-reset.directive.ts:24](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-reset.directive.ts#L24)

#### Parameters

##### formDirective

[`FormDirective`](../wiki/Class.FormDirective)

#### Returns

[`FormResetDirective`](../wiki/Class.FormResetDirective)

#### Overrides

`ConfirmClick.constructor`

## Properties

### type

> **type**: `string` = `'button'`

Defined in: [packages/angular/forms/src/lib/directives/form-reset.directive.ts:22](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-reset.directive.ts#L22)

## Accessors

### hasConfirmDirective

#### Set Signature

> **set** **hasConfirmDirective**(`value`): `void`

Defined in: [packages/angular/directives/src/lib/confirm-click.ts:14](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/directives/src/lib/confirm-click.ts#L14)

##### Parameters

###### value

`any`

##### Returns

`void`

#### Inherited from

`ConfirmClick.hasConfirmDirective`

## Methods

### execute()

> `protected` **execute**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-reset.directive.ts:30](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-reset.directive.ts#L30)

#### Returns

`void`

#### Overrides

`ConfirmClick.execute`

***

### onClick()

> **onClick**(): `void`

Defined in: [packages/angular/directives/src/lib/confirm-click.ts:19](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/directives/src/lib/confirm-click.ts#L19)

#### Returns

`void`

#### Inherited from

`ConfirmClick.onClick`

***

### onConfirm()

> **onConfirm**(): `void`

Defined in: [packages/angular/directives/src/lib/confirm-click.ts:26](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/directives/src/lib/confirm-click.ts#L26)

#### Returns

`void`

#### Inherited from

`ConfirmClick.onConfirm`
